<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.njcn.product</groupId>
        <artifactId>CN_Product</artifactId>
        <version>1.0.0</version>
    </parent>

    <artifactId>cn-begin</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>cn-begin</name>
    <description>cn-begin</description>

    <dependencies>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>njcn-common</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>mybatis-plus</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>spingboot2.3.12</artifactId>
            <version>2.3.12</version>
        </dependency>

        <dependency>
            <groupId>com.njcn.product</groupId>
            <artifactId>cn-diagram</artifactId>
            <version>1.0.0</version>
        </dependency>




    </dependencies>

    <build>
        <finalName>cn-begin</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*</include>
                </includes>
            </resource>
        </resources>
    </build>

</project>
